KEYD(8)

NAME
onak-keydctl - control an onak keyd instance

SYNOPSIS

onak-keydctl [ options ] command

DESCRIPTION

keydctl is a command line client for interacting with a backend onak-keyd daemon. It's intended to perform functions that are specifically related to onak-keyd rather than being generic keyserver functions. See onak(1) for details about how to perform key related operations.

  Options

-c FILE
    Use FILE as the config file instead of the default.

-h  Display help text.

  Commands

check
    Query if onak-keyd is running and accepting commands. Returns 0 if it is, 1 otherwise. Outputs nothing to stdout/stderr.

quit
    Request that onak-keyd exits cleanly

status
    Display the status of a running onak-keyd. Currently the protocol version in use, when onak-keyd was started, the number of client connections seen and a breakdown of the commands seen.

FILES
/etc/onak.ini	default configuration file

NOTES
This man page could probably do with some more details.

SEE ALSO
onak(1) onak-keyd(8)

AUTHOR
onak was written by Jonathan McDowell <noodles@earth.li>. It can be found at https://www.earth.li/projectpurple/progs/onak.html